Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class AbstractImageSessionContext.RestrictedFallbackResolver

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.RestrictedFallbackResolver

All Implemented Interfaces:
  AbstractImageSessionContext.FallbackResolver

Enclosing class:
  AbstractImageSessionContext

    public static final class AbstractImageSessionContext.RestrictedFallbackResolver

extends Object
implements AbstractImageSessionContext.FallbackResolver

This fallback resolver is to be used in environments where controlling file access is of critical importance. It disallows any contingency mechanisms by which a `Source` object would be created.

Constructor Summary
`AbstractImageSessionContext.RestrictedFallbackResolver()`

Method Summary
`Source` | `createSource(Source source, String uri)` The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractImageSessionContext.RestrictedFallbackResolver

    public AbstractImageSessionContext.RestrictedFallbackResolver()

Method Detail

### createSource

    public Source createSource(Source source,
                               String uri)

  The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.

  Specified by:
    `createSource` in interface `AbstractImageSessionContext.FallbackResolver`
  Parameters:
    `source` - the source
    `uri` - the URI provided by the user
  Returns:
    the source that the contingency mechanism has been acquired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.